## akonadiconsole 25.08.2+p24.04+vstable+git20251013.0336

=== debian/changelog ===
akonadiconsole (4:25.08.2+p24.04+vstable+git20251013.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 03:36:55 +0000

akonadiconsole (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:54:40 +0000
