## akonadiconsole 25.08.2+p24.04+vstable+git20251015.2032

=== debian/changelog ===
akonadiconsole (4:25.08.2+p24.04+vstable+git20251015.2032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:32:20 +0000
