## akonadiconsole 25.12.0+p24.04+vunstable+git20251209.0608

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.40")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -46,29 +46,28 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
-set(AKONADIMIME_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(AKONADI_SEARCH_VERSION "6.5.80")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADI_SEARCH_VERSION "6.6.40")
 
 find_package(
     Qt6
@@ -80,9 +79,9 @@
         Sql
         Test
 )
-set(MESSAGELIB_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -152,7 +151,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 include_directories(
     ${akonadiconsole_SOURCE_DIR}
