=== debian/changelog ===
akonadiconsole (4:25.12.1+p24.04+vunstable+git20260205.0835-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:35:17 +0000
