## akonadiconsole 25.12.2+p24.04+vstable+git20260216.0453

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.3")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -57,18 +57,18 @@
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "25.12.2")
+set(RELEASE_SERVICE_VERSION "25.12.3")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.6.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.2")
-set(AKONADIMIME_LIB_VERSION "6.6.2")
-set(AKONADI_VERSION "6.6.2")
-set(AKONADI_SEARCH_VERSION "6.6.2")
+set(AKONADI_CONTACT_VERSION "6.6.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.3")
+set(AKONADIMIME_LIB_VERSION "6.6.3")
+set(AKONADI_VERSION "6.6.3")
+set(AKONADI_SEARCH_VERSION "6.6.3")
 
 find_package(
     Qt6
@@ -80,9 +80,9 @@
         Sql
         Test
 )
-set(MESSAGELIB_LIB_VERSION "6.6.2")
-set(LIBKDEPIM_LIB_VERSION "6.6.2")
-set(KMIME_LIB_VERSION "6.6.2")
+set(MESSAGELIB_LIB_VERSION "6.6.3")
+set(LIBKDEPIM_LIB_VERSION "6.6.3")
+set(KMIME_LIB_VERSION "6.6.3")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
