=== debian/changelog ===
akonadiconsole (4:25.12.2+p24.04+vstable+git20260216.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 04:53:29 +0000

akonadiconsole (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:48:05 +0000
