=== debian/changelog ===
akonadiconsole (4:25.12.2+p24.04+vunstable+git20260207.0432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:32:53 +0000
